﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg classroom = "bg classroomback.jpg"
image bg home1 = "bg home1.jpg"
image bg school = "bg school.jpg"
image bg hall = "bg schoolhall.jpg"
image g e1 = "garrett e1.png"
image g e2 = "garrett e2.png"
image g e3 = "garrett e3.png"
image g e4 = "garrett e4.png"
image g e5 = "garrett e5.png"
image g e6 = "garrett e6.png"
image g e7 = "garrett e7.png"
image g e8 = "garrett e8.png"
image j e4 = "joey e4.png" 
image j e2 = "joey e2.png"
image j e1 = "joey e1.png"
image j e3 = "joey e3.png"
image j e5 = "joey e5.png"
image j e6 = "joey e6.png"
image x e1 = "xavier e1.png"
image x e2 = "xavier e2.png"
image tooplain = "xav-mir1.jpg"
image bg kitchen = "bg kitchen.jpg"
image g e9 = "garrett e9.png"
image gjo 1 = "gjo 1.png"
image gjo 2 = "gjo 2.png"
image gjo 3 = "gjo 3.png"
image bg stage1 = "bg stage1.jpg"
image jl e1 = "jennifer e1.png"
image jl e2 = "jennifer e2.png"

# Declare characters used by this game.
define t = Character('English Teacher', color="#c8ffc8")
define m = Character('Miranda', color="#c8ffc8")
define i = Character('Isabel', color="#c8ffc8")
define r = Character('Renee', color="#c8ffc8")
define a = Character('Allison', color="#c8ffc8")
define l = Character('Liz', color="#c8ffc8")
define b1 = Character('Guy 1', color="#c8ffc8")
define b2 = Character('Guy 2', color="#c8ffc8")
define b3 = Character('Guy 3', color="#c8ffc8")
define q = Character('???', color="#c8ffc8")
define j = Character('Joey', color="#c8ffc8")
define m1 = Character('Mom', color="#c8ffc8")
define d1 = Character('Dad', color="#c8ffc8")
define g = Character('Garrett', color="#c8ffc8")
define ly = Character('Lily', color="#c8ffc8")
define x = Character('Xavier', color="#c8ffc8")
define c1 = Character ('Child 1', color="#c8ffc8")
define c2 = Character ('Child 2', color="#c8ffc8")
define jl = Character ('Jennifer', color="#c8ffc8")
define dr = Character ('Director', color="#c8ffc8")


# The game starts here.
label start:
    scene bg classroom
    with fade
    play music "sunsplash sample.mp3"
    "It was Friday, so I had trouble focusing on school."
    "I had English 6th period, my last class of the day."
    "As I walked towards the bad boy group to update them on the skit project, I couldn't help thinking about the audition on Monday..."
    "Did I need to prepare anything? What would I do? Did I even have a chance at getting the role?"
    b1 "Oh, this girl's back."
    m "Hello. {w}We're working on the project now."
    b3 "Get out. {p}We got four people already."
    m "Huh...?" 
    "Oh, there was another person there. He, too, violated the uniform code, but he stood out from the others somehow."
    show x e1
    with dissolve
    q "Good afternoon."
    m "H-hello..."
    "Wow, he was polite too, like Garrett, but it almost sounded like he was sneering at me."
    "Hold on, why hadn't I seen him before at English class? Did he just transfer?"
    "Another guy cussed at the new dude."
    b2 "Why don't ya just leave? How've you managed to ditch so much?"
    q "I'm better than school. {w}I just came to pay a visit."
    b1 "Visit? That's BS." 
    "Before he could go on, I cut in."
    m "Okay, okay, I'll leave now."
    scene bg school
    with fade
    "I went to talk to the teacher."
    m "Excuse me, is it alright if I join Liz's group? The group I'm in already has four people."
    t "What? It does now, does it?"
    t "Who's that? {p}Oh, it's Xavier..."
    t "No, I won't allow it. This is the first time that boy's been here in months. Stay in the group please, Miranda."
    m "Oh... okay..."
    "That would have been my chance. What a disappointment." 
    scene bg classroom
    with fade
    "I walked back over."
    m "I'm sorry; the teacher is forcing me to stay in your group, because Xavier hardly ever comes."
    "The original three guys threw out exclamations against Xavier."
    b1 "You ruin everything!" 
    show x e2
    with dissolve
    "He just laughed."
    x "For both you guys AND her! I feel accomplished."
    b2 "Stop using big words on us, ya brown-noser!"
    show x e1
    x "Why? You should be glad I'm even talking to you."
    "He turned to me."
    x "Were you planning to do all the work? I'll help you out."
    m "Oh, thank you very much!"
    "For a minute there, I hadn't liked the way things were turning out."
    m "I still need to come up with the ideas and write the script and--"
    "What the...?!"
    show tooplain
    with fade
    "Xavier grabbed my arm and got in my face."
    x "I'm going to come more often for you."
    x "You're interesting."
    m "Huh? Why...?"
    "Oh my gosh, his eyes. They were almost red..."
    "Was this going to be like one of those vampire movies??!!"
    "I looked in his mouth... Oh, good, his teeth were perfectly normal."
    "He spoke again."
    x "Because you're so plain."
    hide tooplain
    show x e1
    with dissolve
    m "Um... thanks...?"
    "He made it sound like a compliment, but..." 
    x "Give me your phone number."
    m "Uh, okay..."
    "He made everything seem so decisive, like it was planned out already."
    "The other guys groaned."
    b2 "I hate this project!"
    
    scene bg hall
    with fade
    "How should I feel about the project? I kept going back and forth, hoping that it would turn out well, but wondering if it actually would..."
    "I wasn't sure what to think of Xavier, either... sometimes, he was on my side... other times, I couldn't tell what he was thinking..."
    show j e2
    with dissolve
    j "Mira!"
    m "Joooeeeeyyyy!"
    "Initially overcome with relief, I quickly became embarrassed, realizing I'd sounded like Joey himself when calling for Garrett."
    show j e3
    j "Whoa, now I feel kind of bad for not getting excited to see you."
    j "What happened? Did you have to work on that project again?"
    m "Yeah... but a new guy joined the group, and he's very... interesting."
    j "I see..."
    show j e2
    j "Are you going to see Garrett today?"
    m "All day, every day."
    show j e5
    j "BWA! THAT'S NOT FAIR!"
    m "Joey, we're in public."
    "He ignored me."
    show j e6
    j "You should let him spoil you a bit. He's really good at that."
    m "What?! I wouldn't let him do that...!"
    show j e2
    "He shrugged."
    j "I'll join you guys whenever I can!"
    
    scene bg home1
    with fade
    m "Garrett?"
    show g e3
    g "Miranda. Hey."
    "For some reason, it felt great to see him at the end of an unusually strenuous week."
    m "Hi."
    g "I checked the calendar. I didn't know you volunteered at the soup kitchen downtown."
    m "Oh, yes, I do, on Fridays, haha."
    g "Wow..."
    m "...! It's not like I do anything big, I just take out the trash and wipe down the tables and stuff."
    g "That's still something. I'm impressed."
    m "Thank you... do you want to come?"
    g "Of course. I'm not just going to leave you alone now."
    scene black
    with dissolve
    "Taking out the trash at the soup kitchen was the least redeeming part of volunteering, but somehow it wasn't so bad with Garrett there."
    scene bg home1
    with fade
    show g e3
    m "Thanks for coming with me. I'll see you tomorrow?"
    g "Yeah, bright and early! Joey might come when he's not rehearsing."
    m "Okay."
    
    scene bg kitchen
    with fade
    "I managed to get myself up early and turned on the kitchen light, ready to make breakfast."
    play sound "doorbell-1.mp3"
    m "Gah...! Is that...?!"
    scene bg home1
    with fade
    show g e3
    with dissolve
    g "Good morning!"
    m "Oh my gosh... I'm in my pajamas..."
    g "You look fine."
    m "..."
    m "It's so early...!!"
    show g e2
    g "Oh, is this too early for you? But you're awake..."
    m "That's true, but..." 
    g "...What?"
    m "Sorry... why are you wearing your school uniform?"
    show g e3
    g "Oh! I don't like buying too many clothes I don't need... this is clean, don't worry!"
    m "Ahaha, that's not what I meant. I was just wondering, that's all."
    m "I was about to make breakfast."
    g "Okay. Is that what you normally do on Saturdays?"
    m "Yeah, my Saturdays are usually pretty boring. I usually clean up the apartment and do homework."
    show g e1
    g "Do you vacuum and iron and make lunch and all that?"
    m "Yep! Just anything that needs to get done."
    show g e3
    g "Got it."
    m "...?"
    g "You look pretty tired. You can go sit down and rest for a little while."
    m "What? But... breakfast..."
    g "I'll take care of everything. I'm your babysitter, it's my job."
    "Okay, I WAS really tired... but could I just let Garrett do all the work like that?"
    "Joey did imply that Garrett didn't mind, but..."
    scene black
    with dissolve
    
menu:
    "What should I do?"
    "Tell him I can do it all myself":
        jump feminist
    "Agree to rest for a little while":
        jump rest
        
label feminist:
    scene bg home1
    show g e3
    m "Don't trouble yourself, Garrett. I can do it myself."
    show g e2
    g "Huh? But I want to do it. You work so hard already."
    m "Please. I know what to do, and I'm going to do it!"
    show g e4
    g "Are you one of those independent women who want to show men what they can do?"
    m "Yeah!"
    show g e3
    g "Okay, I'll just watch you then."
    "I took out the broom and began to sweep across the floor..."
    scene black
    with dissolve
    q "Miranda!"
    m "...Huh...?"
    g "Miranda!"
    scene bg home1
    with dissolve
    show g e2
    with dissolve
    g "Miranda! You looked like you were going to faint... are you okay?"
    m "Wh-what? Yeah, I'm fine..."
    "Oh gosh, was I falling asleep??"
    g "You were sweeping the same spot over and over again..."
    show g e4
    g "Geez, just go to bed already."
    m "A-alright..."
    scene black
    with dissolve
    "*sigh*... And right when I thought I could show Garrett I could do things myself..."
    "This day has had a rough start..."
    ".:Bad Ending!:. (replay to move on!)"
    
    return
    
label rest:
    scene bg home1
    show g e1
    m "Well, if you insist..."
    show g e5
    g "Awesome! I finally get to do something for you..."
    hide g e5
    with dissolve
    "Wow, why was he so eager? It wasn't like I ever did anything for HIM..."
    "I had to admit, though, it felt really nice to be able to sit down and relax..."
    scene bg kitchen
    with fade
    "Garrett was really good at everything, too... even making food."
    show g e3
    g "Joey and I are both guys, but we couldn't let our mom's recipes just go to waste!"
    m "You're a great cook... does Joey cook too?"
    g "No, he lets me do it, but I don't mind."
    "I had a feeling that Joey was actually really spoiled..."
    m "Thank you for doing all of this. You're amazing."
    "I wondered if all the fangirls knew Garrett could do this. They would love him even more."
    show g e9
    g "Thank you, you're sweet. It's no problem: I like doing it."
    m "So... while you were working, I finished my homework."
    show g e8
    g "Wow, you impress me again. You're a junior, right? Don't you get a lot of homework?"
    m "Actually, there wasn't too much to do today."
    show g e6
    g "And prepare for the audition, right?"
    m "Ahhh! Is there something I'm supposed to do to prepare??"
    show g e4
    g "...Well... um..."
    "He was hesitating. Not a good sign."
    g "The thing is, the director is going hard on the auditioners on Monday because he really needs to get the part cast."
    g "He wants to see who can do it, and he knows a lot of people want the part, so he's going to try and get everyone in on Monday, and callbacks, if needed, on Tuesday..."
    m "Oh my gosh..."
    g "So... he'll make you read off a few lines from the script, see how you dance--"
    m "Hold it. DANCING?!?!"
    g "Easy dancing, easy dancing! Don't worry. The best thing to do is stay calm, okay?"
    show g e3
    g "Dancing isn't my forte, but I still get cast every year."
    "Easy for him to say..."
    g "You'll also have to find something to sing for him."
    m "Uh, like what???"
    g "Most people sing stuff from famous musicals, but I wouldn't suggest that. What about that one--"
    show g e4
    g "Uh, how does it go? You sing it a lot... \"Like the silver lining on every cloud, you will find a ...?\""
    "Wow, he could sing, too... no wonder he always got the lead roles."
    m "Oh, yeah, that one's called \"Silver Lining\"... I like it, even though it's not popular."
    show g e3
    g "Sing that one. It shows off your voice."
    "I still couldn't believe I'd sung loud enough for him to hear it... multiple times."
    show g e4
    g "...Will you sing it right now?"
    m "Right... now...??"
    "In front of him? What if I messed up??!"
    show g e3
    g "Yeah. Somebody can accompany you on piano at the actual thing, but can you sing it right now?"
    m "Uh, o-okay..."
    show g e4
    g "Alright. Just relax. I'm not going to yell at you or anything if you sing poorly."
    show g e3
    "I almost laughed. Garrett? Yelling? Those two just didn't belong in the same sentence."
    show g e7
    "He looked at me intently. I was nervous, but I still sang..."
    "The longer I did, the more confident I became, even though Garrett didn't show whether or not he found my singing acceptable."
    "I finished, exhaling slowly."
    m "Er, sorry I missed a couple notes, and maybe rushed it at times..."
    show g e8
    g "It sounds even better hearing you right here."
    show g e3
    g "Yeah, you could have done better, but it sounded great. Good job."
    "Wow... even if he was lying, I felt so happy he said that."
    m "Th-thank you! I'll practice it--"
    play sound "doorbell-1.mp3"
    hide g e3
    with dissolve
    scene bg home1
    with fade
    show j e6
    with dissolve
    j "Hi guys!!"
    m "Hi, Joey..."
    "Why did it feel like Joey just intruded on us?"
    hide j e6
    show gjo 1
    g "I'll warm up your lunch for you, lil' bro."
    j "Yayyyy!"
    hide gjo 1
    show j e6
    "\"Lil' bro?\" Oh my gosh, Joey was acting like a little kid..."
    "And Garrett totally didn't care..."
    "Was that the way to act around him?"
    m "Don't you get tired of acting like that?"
    show j e4
    j "Huh? Tired? No..."
    show j e3
    j "I've been acting like this for as long as I remember... and so has Gary."
    show j e6
    j "Oops, I mean Garrett. I just call him Gary sometimes at home."
    m "I see..."
    show j e3
    j "It might not have been this way if we still lived with both parents..."
    m "You don't live with both your parents...?!"
    "Why didn't anybody ever tell me anything?!"
    j "No. Our dad divorced our mom after she found out he was having an affair."
    "What?!! Joey and Garrett were the nicest people I knew... I hadn't expected something like that to turn up in their family."
    m "...Shouldn't your mom have divorced HIM if HE was having an affair...?"
    j "She forgave him and wanted to stay with him, but he knew it didn't make sense to stay."
    j "We didn't grow up with a father figure, and I don't know how Garrett managed. But he became MY father figure."
    "Listening to Joey, I began to understand him a little better..."
    show j e2
    j "Garrett's always been the same Garrett I've known, so whenever I see him, I kind of go back to my childish days."
    show j e6
    j "It still works because I still look little!"
    m "Haha, you really do. No offense."
    show j e3
    j "Maybe one day I'll grow up, but not yet. I'm not ready yet."
    "But he sounded so mature saying that..."
    hide j e3
    show gjo 2
    g "Sorry, I didn't think it was enough, so I took a little more time to make an extra sandwich."
    j "Doesn't matter! I can't wait! Thanks, Gary!"
    g "Anytime."
    g "Miranda, come to the kitchen with us."
    show gjo 3
    j "Why're you calling her Miranda? Call her Mira!!"
    g "Oh... is that what you prefer?"
    m "Hm? Either is fine."
    g "Well, I should call you by your nickname since we're closer, but..."
    "Really, the only person who called me Mira was Joey..."
    m "...Okay..."
    show gjo 2
    g "M-Mira it is then..."
    j "I'm hungry! Let's eat!"
    scene black
    with dissolve
    "No matter how many times I practiced singing, or making sure I could move my feet at the right speed, I never felt ready."
    scene bg stage1
    with dissolve
    stop music
    "But Monday came quickly, and soon enough I found myself standing onstage alone."
    dr "Name?"
    "And here I was hoping for a kind, understanding guy..."
    m "M-Miranda Kelley."
    "I was SO nervous, but I gave the director a big smile."
    dr "Okay. Miranda, I'm sure you know about the character you're auditioning for?"
    "I knew she was a princess, but that was about it... was I supposed to do more research?!!"
    "Oh my gosh, what if he was going to quiz me?!"
    m "Um... I know that she's a princess..."
    dr "...I see."
    "Oh no! He was definitely not pleased with my honest answer!"
    dr "Well, here's an excerpt of the script. Please read as Princess Lilianne." 
    "Lilianne? That was funny, it sounded like Lily... I had better remember to invite Lily to the musical... she would probably enjoy it even if I wasn't in it."
    "I looked over the lines carefully. They seemed to introduce the princess, and like Garrett had said, she was initially very cold and regal."
    m "Umm..."
    "Gah! I wasn't supposed to hesitate like that... I hadn't even started!"
    m "\"Welcome to the palace, Peter. Please make yourself comfortable.\""
    g "\"Thank you, your Highness. As your servant, what exactly will I do here?\""
    "Oh my goodness! Garrett was reading his lines offstage! Ohhh, Peter must be his character."
    m "\"Anything necessary.\""
    g "\"Oh... I see... well, may I go outside?\""
    m "\"As long as you come back when needed.\""
    g "\"Right...\""
    "Wow, Princess Lilianne wasn't striking it off well with Peter..."
    dr "You can stop right there."
    m "Okay."
    "Thank goodness..."
    dr "Now start from \"How could she...\""
    "More?!"
    m "Er, okay..."
    m "\"How could she just leave me like that?\""
    "Oh, oops, this was an emotional scene... I had to act more upset!"
    m "\"How could she just... leave me...??!!\""
    "I hoped the director didn't mind the repetition."
    q "\"Because she was too darn sacrificial! Her worst trait!\""
    "Who was supposed to say that? Oh, the princess's maid, Laurie... wow, that didn't sound like something a typical maid would say..."
    "It was too dark to see the person playing her, but maybe I'd get to see her later."
    m "\"Mother... she's gone... my mother...\""
    "This seemed like a good spot to cry. Luckily, I was pretty good at fake crying. I knew it would be useful somehow!"
    m "\"Laurie, p-please comfort me... tell me you won't leave me like she did...\""
    q "\"There's no way I could do anything like she could. She was amazing.\""
    dr "Okay, cut. Miranda, in that scene, you could sink to your knees in sorrow."
    m "Okay, if I'm cast, I'll do that."
    "The director smiled and nodded!"
    dr "Did you prepare a song?"
    m "Yes...um, it's called \"Silver Lining\"... here's the music."
    show jl e1
    with dissolve
    q "Give it to me."
    "I recognized her voice... she played Laurie...!"
    play music "take 4.wav"
    m "O-okay..."
    hide jl e1
    with dissolve
    "The girl who played Laurie began playing... she was really good!"
    "I took a deep breath and sang it, like I was in the shower..."
    "When I opened my eyes, the director was looking at me with googly eyes."
    "Did he like it? Or did I make him deaf?"
    dr "Impressive... now can you dance?"
    m "Um... what would you like me to dance?"
    "Ha, speaking like I knew how to dance at all."
    stop music
    show jl e1
    with dissolve
    q "He'll play a song and you just move your feet: right, left over right, cross, cross, turn around."
    "I followed her and got the footing down."
    m "Okay."
    "The director played a song. Internalizing the beat, I tried to look as graceful as possible."
    scene bg stage1
    with fade
    play music "sunsplash sample.mp3"
    "The director actually seemed to like me..."
    dr "Thank you for auditioning, Miranda Kelley. Results will most likely be posted on the door tomorrow."
    m "Thank you, director."
    show jl e2
    with dissolve
    q "I thought you did better than the others."
    m "Oh, thank you very much."
    q "I'm Jennifer, by the way. Good luck."
    m "Th-thank you!"
    "Wait... was she Jennifer as in Jennifer La Salle?!"
    "It would make sense if she was playing Laurie..."
    scene black
    with dissolve
    "The anticipation was killing me... \nI couldn't help but feel that I actually did well..."
    "Was my name going to be on that list tomorrow? I couldn't wait to find out!"
    ".:To Be Continued!:. (you can move on!)"
    

    return
